package lab1;

public class Equipment extends Item {
    
    private final String description;
    private int armor;

    public Equipment(int weight, int price, String description, int armor) {
        super(weight,price);
        this.description = description;
        this.armor = armor;
    }
    
    public void reduceArmorValue(int ammount) {
        armor = Math.max(0,armor-ammount);
    }
    
    @Override
    protected String getDetails() {
        return "A " + description + " with armor value of " + armor + ".\n";
    }   
}
