package lab1;

public class Hero {
    
    private final String name;
    private final boolean male;
    private final CharacterClass cClass;
    private final Inventory inventory;

    public Hero(String name, boolean male, CharacterClass cClass) {
        this.name = name;
        this.male = male;
        this.cClass = cClass;
        this.inventory = new Inventory();
    }

    public void addItem(Item item) {
        inventory.addItem(item);
    }
    
    public void dropItem(Item item) {
        inventory.dropItem(item);
    }

    @Override
    public String toString() {
        String result = "This is the hero " + name + ".\n";
        if (male) result += "He "; else result = result + "She ";
        result += "is a " + cClass + ".\n";
        if (male) result += "His "; else result = result + "Her ";
        result += "inventory contains the following items:\n" + inventory;
        return result;
    }
}
