package lab1;

public abstract class Item {
    
    private final int weight;
    private int price;

    protected Item(int weight, int price) {
        this.weight = weight;
        this.price = price;
    }
    
    protected abstract String getDetails();
    
    public int getWeight() {
        return weight;
    }
    
    public int getPrice() {
        return price;
    }
    
    public void setNewPrice(int newPrice) {
        price = newPrice;
    }
    
    @Override
    public String toString() {
        return getDetails() + "Price: " + price + "\nWeight: " + weight +"\n";
    }
}
