package lab1;

public class Weapon extends Item {
    
    private final WeaponClass wClass;
    private final int range;

    public Weapon(int weight, int price, WeaponClass wClass, int range) {
        super(weight,price);
        this.wClass = wClass;
        this.range = range;
    }
    
    public int computeHitPoints() {
        return wClass.computeHitPoints();
    }

    @Override
    protected String getDetails() {
        return "A " + wClass + " with range " + range + ".\n";
    }  
}
