package lab1;

public enum WeaponClass {
    Bow,
    Staff,
    Sword ;
    
    public int computeHitPoints() {
        int result = 0;
        switch (this) {
            case Bow:
                result = (int)(6*Math.random()+1)+6;
                break;
            case Staff:
                result = (int)(6*Math.random()+1)+(int)(6*Math.random()+1)+4;
                break;
            case Sword:
                result = (int)(6*Math.random())+8;
                break;
        }
        return result;
    }     
}

// Alternative implementation

//public enum WeaponClass {
//    Bow {
//        @Override
//        public int computeHitPoints() {
//            return (int)(6*Math.random()+1)+6;
//        }
//    },
//    Staff {
//        @Override
//        public int computeHitPoints() {
//            return (int)(6*Math.random()+1)+(int)(6*Math.random()+1)+4;
//        }
//    },
//    Sword {
//        @Override
//        public int computeHitPoints() {
//            return (int)(6*Math.random())+8;
//        }
//    };
//    
//    public abstract int computeHitPoints();       
//}
